Loading...
Searching...
No Matches
Dune::Functions::Experimental::RestrictedPreBasis< GV, SDPB, SD >::Node Class Reference

Template mapping root tree path to type of created tree node. More...

`#include <dune/functions/functionspacebases/restrictedbasis.hh>`

Inheritance diagram for Dune::Functions::Experimental::RestrictedPreBasis< GV, SDPB, SD >::Node:

## Public Types

using | Element = typename Base::Element

## Public Member Functions

| Node (Base &&base, const SubDomainGridView &subDomainGridView, const SubDomain &subDomain)
void | bind (const Element &element)
const SubDomain & | subDomain () const

## Detailed Description

template<class GV, class SDPB, class SD>
class Dune::Functions::Experimental::RestrictedPreBasis< GV, SDPB, SD >::Node

Template mapping root tree path to type of created tree node.

## Member Typedef Documentation

## Element

template<class GV, class SDPB, class SD>

using Dune::Functions::Experimental::RestrictedPreBasis< GV, SDPB, SD >::Node::Element = typename Base::Element

## Constructor & Destructor Documentation

## Node()

template<class GV, class SDPB, class SD>

Dune::Functions::Experimental::RestrictedPreBasis< GV, SDPB, SD >::Node::Node | ( | Base && | base,
|  | const SubDomainGridView & | subDomainGridView,
|  | const SubDomain & | subDomain )

inline

## Member Function Documentation

## bind()

template<class GV, class SDPB, class SD>

void Dune::Functions::Experimental::RestrictedPreBasis< GV, SDPB, SD >::Node::bind | ( | const Element & | element | ) |

inline

## subDomain()

template<class GV, class SDPB, class SD>

const SubDomain & Dune::Functions::Experimental::RestrictedPreBasis< GV, SDPB, SD >::Node::subDomain | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- restrictedbasis.hh